/*
 * URL Shortener API
 * This API is responsible of authetication and the creation, modification and deletion of uris and hooks.
 *
 * OpenAPI spec version: 0.2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Hook', 'model/HookActionHTTP', 'model/HookActionMail', 'model/HookRequest', 'model/HookTrigger', 'model/URI', 'model/URIRequest', 'model/User', 'model/UserRequest', 'api/HookApi', 'api/UriApi', 'api/UserApi'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('./ApiClient'), require('./model/Hook'), require('./model/HookActionHTTP'), require('./model/HookActionMail'), require('./model/HookRequest'), require('./model/HookTrigger'), require('./model/URI'), require('./model/URIRequest'), require('./model/User'), require('./model/UserRequest'), require('./api/HookApi'), require('./api/UriApi'), require('./api/UserApi'));
  }
}(function(ApiClient, Hook, HookActionHTTP, HookActionMail, HookRequest, HookTrigger, URI, URIRequest, User, UserRequest, HookApi, UriApi, UserApi) {
  'use strict';

  /**
   * This_API_is_responsible_of_authetication_and_the_creation_modification_and_deletion_of_uris_and_hooks_.<br>
   * The <code>index</code> module provides access to constructors for all the classes which comprise the public API.
   * <p>
   * An AMD (recommended!) or CommonJS application will generally do something equivalent to the following:
   * <pre>
   * var UrlShortenerApi = require('index'); // See note below*.
   * var xxxSvc = new UrlShortenerApi.XxxApi(); // Allocate the API class we're going to use.
   * var yyyModel = new UrlShortenerApi.Yyy(); // Construct a model instance.
   * yyyModel.someProperty = 'someValue';
   * ...
   * var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
   * ...
   * </pre>
   * <em>*NOTE: For a top-level AMD script, use require(['index'], function(){...})
   * and put the application logic within the callback function.</em>
   * </p>
   * <p>
   * A non-AMD browser application (discouraged) might do something like this:
   * <pre>
   * var xxxSvc = new UrlShortenerApi.XxxApi(); // Allocate the API class we're going to use.
   * var yyy = new UrlShortenerApi.Yyy(); // Construct a model instance.
   * yyyModel.someProperty = 'someValue';
   * ...
   * var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
   * ...
   * </pre>
   * </p>
   * @module index
   * @version 0.2.0
   */
  var exports = {
    /**
     * The ApiClient constructor.
     * @property {module:ApiClient}
     */
    ApiClient: ApiClient,
    /**
     * The Hook model constructor.
     * @property {module:model/Hook}
     */
    Hook: Hook,
    /**
     * The HookActionHTTP model constructor.
     * @property {module:model/HookActionHTTP}
     */
    HookActionHTTP: HookActionHTTP,
    /**
     * The HookActionMail model constructor.
     * @property {module:model/HookActionMail}
     */
    HookActionMail: HookActionMail,
    /**
     * The HookRequest model constructor.
     * @property {module:model/HookRequest}
     */
    HookRequest: HookRequest,
    /**
     * The HookTrigger model constructor.
     * @property {module:model/HookTrigger}
     */
    HookTrigger: HookTrigger,
    /**
     * The URI model constructor.
     * @property {module:model/URI}
     */
    URI: URI,
    /**
     * The URIRequest model constructor.
     * @property {module:model/URIRequest}
     */
    URIRequest: URIRequest,
    /**
     * The User model constructor.
     * @property {module:model/User}
     */
    User: User,
    /**
     * The UserRequest model constructor.
     * @property {module:model/UserRequest}
     */
    UserRequest: UserRequest,
    /**
     * The HookApi service constructor.
     * @property {module:api/HookApi}
     */
    HookApi: HookApi,
    /**
     * The UriApi service constructor.
     * @property {module:api/UriApi}
     */
    UriApi: UriApi,
    /**
     * The UserApi service constructor.
     * @property {module:api/UserApi}
     */
    UserApi: UserApi
  };

  return exports;
}));
